Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155415 - Slab corruption: (Not tainted)
Summary: Slab corruption: (Not tainted)
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-20 07:01 UTC by Doug Henderson
Modified: 2015-01-04 22:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-22 02:08:06 UTC


Attachments (Terms of Use)
snippet from /var/log/messages (deleted)
2005-04-20 07:02 UTC, Doug Henderson
no flags Details
2.6.11-1.1251_FC4 log entires (deleted)
2005-04-21 00:30 UTC, Doug Henderson
no flags Details
2.6.11-1.1251_FC4 lsmod output (deleted)
2005-04-21 00:32 UTC, Doug Henderson
no flags Details

Description Doug Henderson 2005-04-20 07:01:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.7) Gecko/20050414 Firefox/1.0.3

Description of problem:
I observed a large number of "Slab corruption" error in the previous kernel build.

The 1240 build has fewer instances of the error.

The error often seems to occur when I run yum, and usually yum fails to perform as expected, or crashes.

I have attached a clip from the log showing two consecutive instances.



Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1240_FC4

How reproducible:
Didn't try

Steps to Reproduce:

  

Additional info:

Comment 1 Doug Henderson 2005-04-20 07:02:09 UTC
Created attachment 113390 [details]
snippet from /var/log/messages

Comment 2 Dave Jones 2005-04-20 07:17:20 UTC
I've added some extra debugging-fu to tomorrows rawhide kernel. Can you try and
repeat it on that one when it appears? You should get a stack trace to go with
the corruption messages.

What modules do you have loaded ? (lsmod output please).


Comment 3 Doug Henderson 2005-04-21 00:30:05 UTC
Created attachment 113448 [details]
2.6.11-1.1251_FC4 log entires

Here is the /var/log/messages from reboot on.

About line 218 is a single instance of a Slab corruption error

Comment 4 Doug Henderson 2005-04-21 00:32:06 UTC
Created attachment 113449 [details]
2.6.11-1.1251_FC4 lsmod output

output from lsmod after system booted with build 1251.

Comment 5 Dave Jones 2005-04-21 00:38:42 UTC
does this go away if you boot with selinux=0 ?


Comment 6 Dave Jones 2005-04-21 00:43:17 UTC
actually, look more closely at that log

000: 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6b 6f 6b

that last but one entry should be 6b, but we flipped a bit for no reason.
we went from 01101011 to 01101111.

A single bit error like that is very likely to be bad memory.
Can you run memtest86 on this box for a few hours please ?


Comment 7 Doug Henderson 2005-04-21 03:24:16 UTC
I rebooted numerous times, seems like about 20, with 5 or 6 useing the selinx=0
parameter. The Slab corruption error showed up in the first reboot after
installing the 1251 build kernel, and finally again in the next to last reboot.
I'll attach a copy when the memtest has run a few hours.


Comment 8 Doug Henderson 2005-04-22 02:08:06 UTC
ran memtest86. lots of errors. one of the 512M memory sticks has gone bad. 

Comment 9 Doug Henderson 2005-04-28 06:28:00 UTC
My system has a Gigabyte K7 Triton GA-7N400-L motherboard, with two 512MB DDR400
sticks of memory. It ran Fedora Core 3 sucessfully from 2004-11 to 2005-04 when
I installed FC4test2. The memory was/is good. I replaced it with a pair of
consecutive serial numbered sticks. The memory tested good one stick at a time
but memtest86 failed on test#5 with two sticks in a dual channel configuration.
It suceeded with the memory in single channel mode.
It appears that FC4test2 contains code which tends to trigger the problem
detected by memtest86's test#5.


Note You need to log in before you can comment on or make changes to this bug.